package com.hdp.pi.utils.kolon;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.time.Instant;
import java.time.LocalDate;
import java.time.ZoneId;
import java.util.Date;


public class Util {
	public static DateFormat dateFormat = new SimpleDateFormat("yyyyMMdd");
	
	public static boolean isNotNull(String s){
		return (s == null || s.trim().length() < 1) ? false : true;
	}
	
	public static boolean isNotNull(Integer s){
		return s == null ? false:true;
	}
	
	public static boolean isNotNull(Double s){
		return s == null ? false:true;
	}
	
	public static boolean isNotNull(Object s){
		return (s == null || "".equals(s)) ? false : true;
	}

	public static String getByIndex(String[] row,int index){
		if(row == null){
			return "";
		}
		
		if(index < 0 || index >= row.length){
			return "";
		}
		return row[index];
	}
	
	/**
	 * 时间转Date
	 * @param time
	 * @return
	 */
	public static Date StringToDate(String time) {
		if(!isNotNull(time)){
			return null;
		}
	    LocalDate localDate = LocalDate.parse(time);
	    ZoneId zone = ZoneId.systemDefault();
	    Instant instant = localDate.atStartOfDay().atZone(zone).toInstant();
	    java.util.Date date = Date.from(instant);
	    return date;
	}
	
	public static String dateToString(Date date){
		if(date == null){
			return null;
		}
		return dateFormat.format(date);
	}
	
	/**
	 * 去掉小数点
	 * @param shopCode
	 * @return
	 */
	public static String trimDecimal(String shopCode){
		if(isNotNull(shopCode) && shopCode.contains(".0")){
			shopCode = shopCode.substring(0, shopCode.lastIndexOf(".0"));
		}
		return shopCode;
	}
}
